Upgrading Pay-by-Plate Sync from versions 4.0 - 4.3 to version 4.4 - Pay-by-Plate Sync 4.4

Pay-by-Plate Sync Plugin Guide 4.4

Applies to
Pay-by-Plate Sync 4.4
Last updated
2018-03-01
Content type
Guides
Guides > Plugin and extension guides
Language
English (United States)
Product line
AutoVu > Pay-by-Plate Sync
Version
4.4

You can upgrade your current version of Pay-by-Plate Sync to the latest version after you have completed the pre-installation steps.

Before you begin

  1. Write down your current Pay-by-Plate Sync configuration settings for Security Center Config Tool, and for Genetec Patroller™ Config Tool. The upgrade should preserve your settings, but this is a best practice whenever you perform an upgrade.
  2. Write down the name of your current server, and the name of your current Pay-by-Plate Sync database, which you can find in the Resources tab of the Pay-by-Plate Sync plugin role in Security Center Config Tool. You will be asked for this information during the upgrade.
  3. Close all Genetec applications.
  4. Upgrade Security Center to version 5.5 or higher (5.7 SR1 recommended).
  5. Upgrade Genetec Patroller™ to version 6.2 or higher (6.4 recommended).

What you should know

IMPORTANT: The Pay-by-Plate Sync plugin version 4.4 is an upgrade intended for servers only. Starting with Genetec Patroller™ 6.1, Pay-by-Plate Sync is integrated into the Genetec Patroller™ software. You no longer need to install the Pay-by-Plate Sync plugin on your Genetec Patroller™ in-vehicle computer.

Procedure

  1. Download the Pay-by-Plate Sync setup from the GTAP Product Downloads page.
  2. Double-click the setup.exe file, and follow the installation instructions.
    The setup wizard opens, and you will see a confirmation message that you already have a previous version of the plugin on your system.
  3. Click Next, and then follow the on-screen instructions.
  4. The installation program will ask you for information on your database server:

    1. Select your SQL database server name.
    2. If only users with administrator rights on the machine will be using Pay-by-Plate Sync, select Windows authentication.
    1. If users without administrator rights on the machine will be using Pay-by-Plate Sync, select Server authentication. This allows someone without admin rights to access the plugin database.
    2. Select your database catalog name. This is the name of the plugin database as seen in the Resources tab of the plugin role in Security Center Config Tool.
    3. Click Next.
  5. When setup is complete, click Finish to close the wizard.
  6. After the upgrade is complete, the Pay-by-Plate Sync plugin may turn yellow to indicate that a database update is required. Go to the Resources tab of the plugin role in Security Center Config Tool to update the database.
  7. After the Pay-by-Plate Sync plugin turns white to indicate it is active, go to the Properties tab and click Update now to perform a full permit update.
    This will verify the contents of your database, and will report any problems with the parking providers immediately.